ReferenceAPIsOry Identities APIfrontend
Submit a FedCM token
Use this endpoint to submit a token from a FedCM provider through
POST /self-service/fed-cm/token
Use this endpoint to submit a token from a FedCM provider through
navigator.credentials.get and log the user in. The parameters from
navigator.credentials.get must have come from GET self-service/fed-cm/parameters.
Operation ID: updateFedcmFlow Tag: frontend
Request body
Content-Type: application/json
Type: object
Schema: UpdateFedcmFlowBody, see the Ory Identities API schemas reference for the full type.
Content-Type: application/x-www-form-urlencoded
Type: object
Schema: UpdateFedcmFlowBody, see the Ory Identities API schemas reference for the full type.
Responses
| Status | Description | Body |
|---|---|---|
| 200 | successfulNativeLogin | application/json, object |
| 303 | Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204. | - |
| 400 | loginFlow | application/json, object |
| 410 | errorGeneric | application/json, object |
| 422 | errorBrowserLocationChangeRequired | application/json, object |
| default | errorGeneric | application/json, object |
Generated from /tmp/kratos-api.json at build time.